Subject: bug#26049: 25.2; Extra lines not added to comment

From: [email-masked]
Date: Mon, 27 Mar 2017 23:29:37 -0400

Antonin Houska <[email-masked]> writes:

> Even though I have the following customizations in place
>
>  '(comment-multi-line t)
>  '(comment-style (quote extra-line))
>
> comment-region command produces this
>
> /* some comment */
>
> rather than this
>
> /*
>  * some comment
>  */
>
> Attached is a patch that I use to fix the issue on my workstation. Besides
> fixing the (supposed) off-by-one error, the patch also removes trailing
> whitespace from the initial line of the comment ("/* "). (My knowledge of
> Elisp is not too advanced so I wonder if there's simpler way to trim
> whitespace from a string.)
>

You can use use `string-trim-right' from subr-x.

>   	   (progn (goto-char end) (end-of-line) (skip-syntax-backward " ")
>   		  (<= (point) end))
>   	   (or block (not (string= "" comment-end)))
> ! 	   (or block (progn (goto-char beg) (search-forward
> !                                              "\n"
> !                                              (min (1+ end) (point-max)) t)))))

Maybe (re-search-forward "$" end t) is better?  It's a bit unclear to me
what exactly all those tests are looking for.  That code could use some
comments...